package com.bweb.model;

import com.alibaba.excel.annotation.ExcelProperty;

import java.math.BigDecimal;
import java.util.Date;

public class ExportHighPreOrderModel {
    @ExcelProperty("预约订单号")
    private String preOrderNo;

    @ExcelProperty("支付订单号")
    private String orderNo;

    @ExcelProperty("商品名称")
    private String goodsName;

    @ExcelProperty("支付金额")
    private BigDecimal payRealPrice;

    @ExcelProperty("用户姓名")
    private String preUserName;

    @ExcelProperty("用户电话")
    private String preUserPhone;

    @ExcelProperty("预约用户备注")
    private String preUserRemark;

    @ExcelProperty("预约失败说明")
    private String statusFailDesc;

    @ExcelProperty("到达时间")
    private Date reachTime;

    @ExcelProperty("到达地点")
    private String reachAddress;

    @ExcelProperty("门店名称")
    private String storeName;

    @ExcelProperty("门店地址")
    private String address;

    @ExcelProperty("创建时间")
    private Date createTime;

    @ExcelProperty("状态")
    private String status;

    public String getPreOrderNo() {
        return preOrderNo;
    }

    public void setPreOrderNo(String preOrderNo) {
        this.preOrderNo = preOrderNo;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public BigDecimal getPayRealPrice() {
        return payRealPrice;
    }

    public void setPayRealPrice(BigDecimal payRealPrice) {
        this.payRealPrice = payRealPrice;
    }

    public String getPreUserName() {
        return preUserName;
    }

    public void setPreUserName(String preUserName) {
        this.preUserName = preUserName;
    }

    public String getPreUserPhone() {
        return preUserPhone;
    }

    public void setPreUserPhone(String preUserPhone) {
        this.preUserPhone = preUserPhone;
    }

    public String getPreUserRemark() {
        return preUserRemark;
    }

    public void setPreUserRemark(String preUserRemark) {
        this.preUserRemark = preUserRemark;
    }

    public String getStatusFailDesc() {
        return statusFailDesc;
    }

    public void setStatusFailDesc(String statusFailDesc) {
        this.statusFailDesc = statusFailDesc;
    }

    public Date getReachTime() {
        return reachTime;
    }

    public void setReachTime(Date reachTime) {
        this.reachTime = reachTime;
    }

    public String getReachAddress() {
        return reachAddress;
    }

    public void setReachAddress(String reachAddress) {
        this.reachAddress = reachAddress;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
